- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Graphics::CNativeImage Class Reference

List of all members.

## Detailed Description

An offscreen draw context.

Wraps up a native image in a class. Used by CGraphics
to implement an effective double buffering routine

Date:
  01/10/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CNativeImage.hpp,v 1.3 2007/02/08 21:07:54 paul Exp

Definition at line 46 of file CNativeImage.hpp.

## Public Member Functions

- void alphaBlendTo (CNativeImage *image, const CRect &where, const CRect &toHere, const double alpha)
- CNativeImage ()
- void copyFrom (CNativeImage *image)
- void copyTo (CNativeImage *image)
- const CColour & getBackgroundColour () const
- const CDimension & getDimensions () const
- SGraphicsHandle * getGraphicsHandle ()
- HDC getParentContext () const
- SWindowHandle * getWindowHandle () const
- void initialise (SWindowHandle *windowHandle, const CDimension &area)
- void initialise (SWindowHandle *windowHandle, HDC drawContext, const CDimension &area)
- void setBackgroundColour (const CColour &colour)
- void uninitialise ()
- virtual ~CNativeImage ()

## Protected Member Functions

- void createNativeImage ()
- void destroyNativeImage ()

## Protected Attributes

- CDimension m_area
- CColour m_backgroundColour
- SGraphicsHandle m_graphicsHandle
- bool m_initialised
- HDC m_parentHDC
- SWindowHandle * m_windowHandle

## Constructor & Destructor Documentation

Exponent::GUI::Graphics::CNativeImage::CNativeImage | ( |  | ) |

Construction

virtual Exponent::GUI::Graphics::CNativeImage::~CNativeImage | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

void Exponent::GUI::Graphics::CNativeImage::alphaBlendTo | ( | CNativeImage * | image,
|  | const CRect & | where,
|  | const CRect & | toHere,
|  | const double | alpha |
| ) |  |  |

Alpha blend on to another image

Parameters:

  | image | The image to blend
  | where | Where on the source image are we copying from
  | toHere | The position on this image to beldn to
  | alpha | The alpha blend level as a normalised double

void Exponent::GUI::Graphics::CNativeImage::copyFrom | ( | CNativeImage * | image | ) |

Copy from another image to this

Parameters:

  | image | The image to copy

void Exponent::GUI::Graphics::CNativeImage::copyTo | ( | CNativeImage * | image | ) |

Copy this to a neew native window

Parameters:

  | image | On return this is a copy of this image

void Exponent::GUI::Graphics::CNativeImage::createNativeImage | ( |  | ) | `[protected]`

Create the native image

void Exponent::GUI::Graphics::CNativeImage::destroyNativeImage | ( |  | ) | `[protected]`

Destroy the native image

const CColour& Exponent::GUI::Graphics::CNativeImage::getBackgroundColour | ( |  | ) | const`[inline]`

Get the background colour

Return values:

  | const | CColour& The image background colour

Definition at line 151 of file CNativeImage.hpp.

References m_backgroundColour.

const CDimension& Exponent::GUI::Graphics::CNativeImage::getDimensions | ( |  | ) | const`[inline]`

Get the dimension of the image

Return values:

  | const | CDimension& The dimension of the image

Definition at line 157 of file CNativeImage.hpp.

References m_area.

SGraphicsHandle* Exponent::GUI::Graphics::CNativeImage::getGraphicsHandle | ( |  | ) | `[inline]`

Get the bitmap graphics handle

Return values:

  | SGraphicsHandle* | The graphics handle

Definition at line 66 of file CNativeImage.hpp.

References m_graphicsHandle.

HDC Exponent::GUI::Graphics::CNativeImage::getParentContext | ( |  | ) | const`[inline]`

Get the parent DC context

Return values:

  | HDC | The windows draw context

Definition at line 81 of file CNativeImage.hpp.

References m_parentHDC.

SWindowHandle* Exponent::GUI::Graphics::CNativeImage::getWindowHandle | ( |  | ) | const`[inline]`

Get the window handle associated with teh draw context

Return values:

  | SWindowHandle* | The window handle

Definition at line 72 of file CNativeImage.hpp.

References m_windowHandle.

void Exponent::GUI::Graphics::CNativeImage::initialise | ( | SWindowHandle * | windowHandle,
|  | const CDimension & | area |
| ) |  |  |

Initialise the image

Parameters:

  | windowHandle | Handle to the parent window
  | area | The size of the image to create

void Exponent::GUI::Graphics::CNativeImage::initialise | ( | SWindowHandle * | windowHandle,
|  | HDC | drawContext,
|  | const CDimension & | area |
| ) |  |  |

Initialise the image

Parameters:

  | windowHandle | Handle to the parent window
  | drawContext | The windows draw context
  | area | The size of the image to create

void Exponent::GUI::Graphics::CNativeImage::setBackgroundColour | ( | const CColour & | colour | ) | `[inline]`

Set the background colour

Parameters:

  | colour | The colour to use at the next initialisation for the background colour

Definition at line 145 of file CNativeImage.hpp.

References m_backgroundColour.

Referenced by Exponent::GUI::Graphics::CGraphics::setBackgroundColour().

void Exponent::GUI::Graphics::CNativeImage::uninitialise | ( |  | ) |

Deinitialise

## Member Data Documentation

CDimension Exponent::GUI::Graphics::CNativeImage::m_area`[protected]`

The area to draw in

Definition at line 187 of file CNativeImage.hpp.

Referenced by getDimensions().

CColour Exponent::GUI::Graphics::CNativeImage::m_backgroundColour`[protected]`

The background colour

Definition at line 188 of file CNativeImage.hpp.

Referenced by getBackgroundColour(), and setBackgroundColour().

SGraphicsHandle Exponent::GUI::Graphics::CNativeImage::m_graphicsHandle`[protected]`

Handle to the graphics contexts

Definition at line 185 of file CNativeImage.hpp.

Referenced by getGraphicsHandle().

bool Exponent::GUI::Graphics::CNativeImage::m_initialised`[protected]`

Is this initialised

Definition at line 189 of file CNativeImage.hpp.

HDC Exponent::GUI::Graphics::CNativeImage::m_parentHDC`[protected]`

The parent HDC

Definition at line 180 of file CNativeImage.hpp.

Referenced by getParentContext().

SWindowHandle* Exponent::GUI::Graphics::CNativeImage::m_windowHandle`[protected]`

Handle to the window your drawing into

Definition at line 186 of file CNativeImage.hpp.

Referenced by getWindowHandle().